---
title: Mic
permalink: portfolio/mic/
profile: false
---

# Mic - import de fichiers audio

Mic est un petit logiciel **qui ne nécessite pas d'installation** pour faciliter l'import de fichiers depuis des microphones USB
se comportant comme des clés USB. Vous pouvez donc le mettre sur votre clé USB
ou dans votre disque réseau.

## Captures d'écrans

![Import des fichiers](/assets/images/pages/mic01.png)
![Visualisation des fichiers importés](/assets/images/pages/mic02.png)
![Fichiers dans l'explorateur Windows](/assets/images/pages/mic03.png)

## Fonctionnement

Lors de l'import, il est possible d'assigner le fichier à un élève et un exercice.
Pour chaque exercice, un dossier est créé. Le fichier importé est renommé
pour contenir dans son nom :

 * le nom de l'élève
 * la date et l'heure de l'import
 * le nom du fichier original

<br/>
 Les fichiers sont importés dans un dossier nommé **import** à l'endroit où se trouve
 le programme.

## Pré-Requis

Vous pouvez directement utiliser Mic avec les versions de Windows suivantes :

  * Windows 7 SP1 (si votre Windows 7 est à jour, vous avez la SP1)
  * Windows 8 et Windows 8.1
  * Windows 10

<br/>
Vous devez préalablement télécharger & installer [Microsoft .NET Framework 4](https://www.microsoft.com/fr-fr/download/details.aspx?id=17851) si vous utilisez :

  * Windows XP
  * Windows Vista
  * Windows 7 sans la SP1 (si vous avez désactivé les mises à jour sur Windows 7)

<br/>
Ce logiciel ne fonctionne pas (pour le moment) sous Linux ou MacOS.

## Téléchargement et installation

Voici les étapes à suivre :

  1. [Cliquez ici pour télécharger Mic](https://ci.deuxfleurs.fr/job/Mic/job/master/lastSuccessfulBuild/artifact/Mic/bin/Release/mic-windows-portable.zip)
  2. Décompressez le fichier .zip sur votre clé USB, dans votre espace réseau, dans "Documents" ou n'importe où ailleurs !
  3. Double-cliquez sur Mic.exe (ou juste Mic)
  4. C'est tout ! Il n'y a pas d'installation !

<br/>
Une fenêtre d'import va s'ouvrir quand vous brancherez un microphone

## Fonctionnalités manquantes

Les actions suivantes ne peuvent pas être réalisées depuis le logiciel :

  1. Il n'est pas possible de changer l'élève assigné à un fichier après son import
  2. Il n'est pas possible de changer l'exercice assigné à un fichier après son import
  3. Il n'est pas possible de supprimer un fichier importé

<br/>

Ces actions peuvent cependant être réalisées depuis l'explorateur de fichier Windows,
après tout ce ne sont que des dossiers et des fichiers !

Si vous trouvez un bug ou que vous souhaitez que ces fonctionnalités ou que d'autres fonctionnalités soient ajoutées, merci de me contacter par email : [quentin@dufour.io](mailto:quentin@dufour.io).
